## r-cran-crosstalk 1.0.0%2Bdfsg

=== debian/changelog ===
r-cran-crosstalk (1.0.0+dfsg-4) unstable; urgency=medium

  * r-cran-shiny does not provide strftime.min.js any more - provide it
    here instead.
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Mon, 19 Aug 2019 15:29:46 +0200

r-cran-crosstalk (1.0.0+dfsg-3) unstable; urgency=medium

  * Fix symlink
    Closes: #905283
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Sat, 04 Aug 2018 12:15:22 +0200

r-cran-crosstalk (1.0.0+dfsg-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 12:02:55 +0200

r-cran-crosstalk (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #884851)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2017 15:48:23 +0100

## r-cran-crosstalk 1.0.0+dfsg

=== DESCRIPTION ===
Package: crosstalk
Type: Package
Title: Inter-Widget Interactivity for HTML Widgets
Version: 1.0.0
Authors@R: c(
    person("Joe", "Cheng", role = c("aut", "cre"), email = "joe@rstudio.com"),
    person(family = "RStudio", role = "cph"),
    person(family = "jQuery Foundation", role = "cph",
    comment = "jQuery library and jQuery UI library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
    comment = "jQuery library; authors listed in inst/www/shared/jquery-AUTHORS.txt"),
    person("Mark", "Otto", role = "ctb",
    comment = "Bootstrap library"),
    person("Jacob", "Thornton", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Bootstrap contributors", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Twitter, Inc", role = "cph",
    comment = "Bootstrap library"),
    person("Brian", "Reavis", role = c("ctb", "cph"),
    comment = "selectize.js library"),
    person("Kristopher Michael", "Kowal", role = c("ctb", "cph"),
    comment = "es5-shim library"),
    person(family = "es5-shim contributors", role = c("ctb", "cph"),
    comment = "es5-shim library"),
    person("Denis", "Ineshin", role = c("ctb", "cph"),
    comment = "ion.rangeSlider library"),
    person("Sami", "Samhuri", role = c("ctb", "cph"),
    comment = "Javascript strftime library")
    )
Description: Provides building blocks for allowing HTML widgets to communicate
    with each other, with Shiny or without (i.e. static .html files). Currently
    supports linked brushing and filtering.
License: MIT + file LICENSE
Imports: htmltools (>= 0.3.5), jsonlite, lazyeval, R6, shiny (>= 0.11),
        ggplot2
URL: https://rstudio.github.io/crosstalk/
BugReports: https://github.com/rstudio/crosstalk/issues
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-12-20 20:01:51 UTC; jcheng
Author: Joe Cheng [aut, cre],
  RStudio [cph],
  jQuery Foundation [cph] (jQuery library and jQuery UI library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/www/shared/jquery-AUTHORS.txt),
  Mark Otto [ctb] (Bootstrap library),
  Jacob Thornton [ctb] (Bootstrap library),
  Bootstrap contributors [ctb] (Bootstrap library),
  Twitter, Inc [cph] (Bootstrap library),
  Brian Reavis [ctb, cph] (selectize.js library),
  Kristopher Michael Kowal [ctb, cph] (es5-shim library),
  es5-shim contributors [ctb, cph] (es5-shim library),
  Denis Ineshin [ctb, cph] (ion.rangeSlider library),
  Sami Samhuri [ctb, cph] (Javascript strftime library)
Maintainer: Joe Cheng <joe@rstudio.com>
Repository: CRAN
Date/Publication: 2016-12-21 08:30:32

=== debian/control ===
Source: r-cran-crosstalk
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-htmltools,
               r-cran-jsonlite,
               r-cran-lazyeval,
               r-cran-r6,
               r-cran-shiny,
               r-cran-ggplot2
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk.git
Homepage: https://cran.r-project.org/package=crosstalk

Package: r-cran-crosstalk
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-bootstrap,
         libjs-jquery,
         libjs-jquery-selectize.js,
         libjs-es5-shim,
         fonts-glewlwyd
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R inter-widget interactivity for HTML widgets
 Provides building blocks for allowing HTML widgets to communicate
 with each other, with Shiny or without (i.e. static .html files). Currently
 supports linked brushing and filtering.

## r-cran-crosstalk 1.1.0.1+dfsg

=== debian/changelog ===
r-cran-crosstalk (1.1.0.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Switch from fonts-glewlwyd to fonts-glyphicons-halflings (Closes: #962884)
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 17 Jun 2020 07:47:49 +0200

r-cran-crosstalk (1.1.0.1+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 21:36:28 +0200

r-cran-crosstalk (1.1.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 09:02:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-htmltools,
+               r-cran-htmltools (>= 0.3.6),
                r-cran-jsonlite,
                r-cran-lazyeval,
-               r-cran-r6,
-               r-cran-shiny,
-               r-cran-ggplot2
-Standards-Version: 4.2.0
+               r-cran-r6
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk.git
 Homepage: https://cran.r-project.org/package=crosstalk
+Rules-Requires-Root: no
 
 Package: r-cran-crosstalk
 Architecture: all
@@ -26,7 +25,7 @@
          libjs-jquery,
          libjs-jquery-selectize.js,
          libjs-es5-shim,
-         fonts-glewlwyd
+         fonts-glyphicons-halflings
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R inter-widget interactivity for HTML widgets

## r-cran-crosstalk 1.1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Package: crosstalk
 Type: Package
 Title: Inter-Widget Interactivity for HTML Widgets
-Version: 1.0.0
+Version: 1.1.1
 Authors@R: c(
-    person("Joe", "Cheng", role = c("aut", "cre"), email = "joe@rstudio.com"),
+    person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
+    person("Carson", "Sievert", role = c("aut", "cre"),
+    email = "carson@rstudio.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person(family = "RStudio", role = "cph"),
     person(family = "jQuery Foundation", role = "cph",
     comment = "jQuery library and jQuery UI library"),
@@ -32,14 +34,16 @@
     with each other, with Shiny or without (i.e. static .html files). Currently
     supports linked brushing and filtering.
 License: MIT + file LICENSE
-Imports: htmltools (>= 0.3.5), jsonlite, lazyeval, R6, shiny (>= 0.11),
-        ggplot2
+Imports: htmltools (>= 0.3.6), jsonlite, lazyeval, R6
+Suggests: shiny, ggplot2, testthat (>= 2.1.0)
 URL: https://rstudio.github.io/crosstalk/
 BugReports: https://github.com/rstudio/crosstalk/issues
-RoxygenNote: 5.0.1
+RoxygenNote: 7.1.1
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2016-12-20 20:01:51 UTC; jcheng
-Author: Joe Cheng [aut, cre],
+Packaged: 2021-01-11 23:28:16 UTC; cpsievert
+Author: Joe Cheng [aut],
+  Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   RStudio [cph],
   jQuery Foundation [cph] (jQuery library and jQuery UI library),
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
@@ -53,6 +57,6 @@
   es5-shim contributors [ctb, cph] (es5-shim library),
   Denis Ineshin [ctb, cph] (ion.rangeSlider library),
   Sami Samhuri [ctb, cph] (Javascript strftime library)
-Maintainer: Joe Cheng <joe@rstudio.com>
+Maintainer: Carson Sievert <carson@rstudio.com>
 Repository: CRAN
-Date/Publication: 2016-12-21 08:30:32
+Date/Publication: 2021-01-12 10:00:02 UTC

=== debian/changelog ===
r-cran-crosstalk (1.1.1+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Move r-cran-shiny to Depends (Closes: #986011)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 29 Mar 2021 19:06:25 +0530

r-cran-crosstalk (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 09:30:46 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-shiny
Restrictions: allow-stderr

## r-cran-crosstalk 1.2.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R


override_dh_install:
	dh_install
	mkdir -p $(debRlib)/$(cranName)/lib/strftime
	cp -a debian/missing-sources/strftime/strftime.min.js $(debRlib)/$(cranName)/lib/strftime

## r-cran-crosstalk 1.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: crosstalk
 Type: Package
 Title: Inter-Widget Interactivity for HTML Widgets
-Version: 1.1.1
+Version: 1.2.0
 Authors@R: c(
     person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
     person("Carson", "Sievert", role = c("aut", "cre"),
@@ -35,13 +35,13 @@
     supports linked brushing and filtering.
 License: MIT + file LICENSE
 Imports: htmltools (>= 0.3.6), jsonlite, lazyeval, R6
-Suggests: shiny, ggplot2, testthat (>= 2.1.0)
+Suggests: shiny, ggplot2, testthat (>= 2.1.0), sass, bslib
 URL: https://rstudio.github.io/crosstalk/
 BugReports: https://github.com/rstudio/crosstalk/issues
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-01-11 23:28:16 UTC; cpsievert
+Packaged: 2021-11-04 15:35:47 UTC; cpsievert
 Author: Joe Cheng [aut],
   Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   RStudio [cph],
@@ -59,4 +59,4 @@
   Sami Samhuri [ctb, cph] (Javascript strftime library)
 Maintainer: Carson Sievert <carson@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-01-12 10:00:02 UTC
+Date/Publication: 2021-11-04 16:30:02 UTC

=== debian/changelog ===
r-cran-crosstalk (1.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0+dfsg
  * Add r-cran-sass to test-deps

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Nov 2021 20:25:13 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-jsonlite,
                r-cran-lazyeval,
                r-cran-r6
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk.git
 Homepage: https://cran.r-project.org/package=crosstalk
@@ -25,7 +25,8 @@
          libjs-jquery,
          libjs-jquery-selectize.js,
          libjs-es5-shim,
-         fonts-glyphicons-halflings
+         fonts-glyphicons-halflings,
+         r-cran-shiny
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R inter-widget interactivity for HTML widgets

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-shiny, r-cran-sass
Restrictions: allow-stderr

## r-cran-crosstalk 1.2.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: crosstalk
 Type: Package
 Title: Inter-Widget Interactivity for HTML Widgets
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(
-    person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
+    person("Joe", "Cheng", role = "aut", email = "joe@posit.co"),
     person("Carson", "Sievert", role = c("aut", "cre"),
-    email = "carson@rstudio.com", comment = c(ORCID = "0000-0002-4958-2844")),
-    person(family = "RStudio", role = "cph"),
+    email = "carson@posit.co", comment = c(ORCID = "0000-0002-4958-2844")),
+    person("Posit Software, PBC", role = c("cph", "fnd")),
     person(family = "jQuery Foundation", role = "cph",
     comment = "jQuery library and jQuery UI library"),
     person(family = "jQuery contributors", role = c("ctb", "cph"),
@@ -36,15 +36,16 @@
 License: MIT + file LICENSE
 Imports: htmltools (>= 0.3.6), jsonlite, lazyeval, R6
 Suggests: shiny, ggplot2, testthat (>= 2.1.0), sass, bslib
-URL: https://rstudio.github.io/crosstalk/
+URL: https://rstudio.github.io/crosstalk/,
+        https://github.com/rstudio/crosstalk
 BugReports: https://github.com/rstudio/crosstalk/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-11-04 15:35:47 UTC; cpsievert
+Packaged: 2023-11-22 16:29:50 UTC; cpsievert
 Author: Joe Cheng [aut],
   Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
-  RStudio [cph],
+  Posit Software, PBC [cph, fnd],
   jQuery Foundation [cph] (jQuery library and jQuery UI library),
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/www/shared/jquery-AUTHORS.txt),
@@ -57,6 +58,6 @@
   es5-shim contributors [ctb, cph] (es5-shim library),
   Denis Ineshin [ctb, cph] (ion.rangeSlider library),
   Sami Samhuri [ctb, cph] (Javascript strftime library)
-Maintainer: Carson Sievert <carson@rstudio.com>
+Maintainer: Carson Sievert <carson@posit.co>
 Repository: CRAN
-Date/Publication: 2021-11-04 16:30:02 UTC
+Date/Publication: 2023-11-23 08:50:07 UTC

=== debian/changelog ===
r-cran-crosstalk (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Update lintian override info format in d/source/lintian-overrides on line 2.

 -- Andreas Tille <tille@debian.org>  Sun, 26 Nov 2023 17:37:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-htmltools (>= 0.3.6),
+               r-cran-htmltools,
                r-cran-jsonlite,
                r-cran-lazyeval,
                r-cran-r6
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk.git
 Homepage: https://cran.r-project.org/package=crosstalk

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-shiny,
        r-cran-ggplot2,
        r-cran-testthat (>= 2.1.0),
        r-cran-sass,
        r-cran-bslib
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/crosstalk_([-\d.]*)\.tar\.gz

## r-cran-crosstalk 1.2.2+dfsg

=== debian/changelog ===
r-cran-crosstalk (1.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Dec 2025 10:00:14 +0900

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
                r-cran-htmltools,
                r-cran-jsonlite,
                r-cran-lazyeval,
-               r-cran-r6
-Standards-Version: 4.6.2
+               r-cran-r6,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-crosstalk.git
 Homepage: https://cran.r-project.org/package=crosstalk

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bslib,
        r-cran-ggplot2,
        r-cran-sass,
        r-cran-shiny,
        r-cran-testthat (>= 2.1.0)
Restrictions: allow-stderr
